%define name perl-Curses
%define realname Curses
%define version 1.07
%define release 1mdk

Name:		%{name}
Summary:	Perl module for character screen handling and windowing
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{realname}/
Source:		%{realname}-%{version}.tar.bz2
Requires:	ncurses
BuildRequires:	perl-devel ncurses-devel
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
Curses is the interface between Perl and your system's curses(3) library. 


%prep
%setup -q -n %{realname}-%{version}

%build
#cp -a $RPM_BUILD_DIR/%{realname}-%{version}/hints/c-linux.ncurses.h \
#  $RPM_BUILD_DIR/%{realname}-%{version}/c-config.h
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
chmod 644 Artistic Copying INSTALL README

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc Artistic Copying INSTALL README
%{perl_vendorarch}/auto/Curses
%{perl_vendorarch}/Curses*
%{_mandir}/*/*


%changelog
* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.07-1mdk
- New version 1.07
- Drop patch 0

* Tue Apr 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.06-8mdk
- rebuild for new perl

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.06-7mdk
- rebuild for new perl
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- use %%makeinstall_std macro
- don't mkdir buildroot in %%build
- pass -q to %%setup in stead of %%prep, resulting in quiet setup;)

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.06-6mdk
- rebuild for new auto{prov,req}

* Fri Jan 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.06-5mdk
- rebuild

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 1.06-4mdk
- rebuild for perl thread-multi
- fix build with thread-multi

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.06-3mdk
- rebuild for perl 5.8.0
- cleanup

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.06-2mdk
- BuildRequires: perl-devel ncurses-devel

* Fri Aug 31 2001 Franois Pons <fpons@mandrakesoft.com> 1.06-1mdk
- 1.06.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.05-3mdk
- Rebuild this against the latest perl.

* Tue Sep 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.05-2mdk
- BM

* Sat Jul 22 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.05-1mdk
- 1.05
- macroization

* Wed Jun 14 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.02-1mdk
- initial specfile
- bzip sources
